%{?scl:%scl_package perl-App-a2p}

Name:           %{?scl_prefix}perl-App-a2p
Version:        1.007
Release:        5%{?dist}
Summary:        Awk to Perl translator
License:        GPL+ or Artistic
Group:          Development/Tools
URL:            http://search.cpan.org/dist/App-a2p/
Source0:        http://www.cpan.org/authors/id/L/LE/LEONT/App-a2p-%{version}.tar.gz
# Current code will fail test tests if the code will run for more than 5
# seconds. This is not much portable test.
Patch0:         App-a2p-1.007-Remove-alarm-call-from-test.patch
BuildRequires:  %{?scl_prefix}perl
BuildRequires:  %{?scl_prefix}perl(Config)
BuildRequires:  %{?scl_prefix}perl(ExtUtils::MakeMaker) >= 6.30
BuildRequires:  %{?scl_prefix}perl(strict)
BuildRequires:  %{?scl_prefix}perl(warnings)
# Devel::FindPerl is a non-core module
%if !%{defined perl_bootstrap}
# Tests:
BuildRequires:  %{?scl_prefix}perl(Devel::FindPerl)
BuildRequires:  %{?scl_prefix}perl(File::Spec::Functions)
BuildRequires:  %{?scl_prefix}perl(File::Temp)
BuildRequires:  %{?scl_prefix}perl(IPC::Open2)
BuildRequires:  %{?scl_prefix}perl(Test::More) >= 0.89
%endif
Requires:       %{?scl_prefix}perl(:MODULE_COMPAT_%(%{?scl:scl enable %{scl} '}eval "$(perl -V:version)";echo $version%{?scl:'}))
Conflicts:      %{?scl_prefix}perl < 4:5.18.2-300

%description
This package delivers a2p tool which takes an awk script specified on the
command line and produces a comparable Perl script.

%prep
%setup -q -n App-a2p-%{version}
%patch0 -p1

%build
%{?scl:scl enable %{scl} '}perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="$RPM_OPT_FLAGS" && make %{?_smp_mflags}%{?scl:'}

%install
%{?scl:scl enable %{scl} '}make pure_install DESTDIR=$RPM_BUILD_ROOT%{?scl:'}
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -type f -name '*.bs' -size 0 -exec rm -f {} \;
%{_fixperms} $RPM_BUILD_ROOT/*

%check
%if !%{defined perl_bootstrap}
%{?scl:scl enable %{scl} '}make test%{?scl:'}
%endif

%files
%doc Changes LICENSE README
%{_bindir}/*
%{perl_vendorlib}/*
%{_mandir}/man1/*

%changelog
* Sun Jan 25 2015 Jitka Plesnikova <jplesnik@redhat.com> - 1.007-5
- Rebuild of bootstrapped package

* Thu Jan 08 2015 Petr Pisar <ppisar@redhat.com> - 1.007-4
- Skip test on bootstrap because of non-core Devel::FindPerl

* Wed Aug 27 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.007-3
- Perl 5.20 rebuild

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.007-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Thu Jun 19 2014 Jitka Plesnikova <jplesnik@redhat.com> - 1.007-1
- Specfile autogenerated by cpanspec 1.78.
